> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DNC entry by phone number

> Get a DNC entry by phone number (URL encoded, e.g., %2B14155551234)



## OpenAPI

````yaml get /api/v1/dnc/phone/{phoneNumber}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/dnc/phone/{phoneNumber}:
    get:
      tags:
        - DNC
      summary: Get DNC entry by phone number
      description: Get a DNC entry by phone number (URL encoded, e.g., %2B14155551234)
      parameters:
        - schema:
            type: string
            description: The phone number (URL encoded)
          required: true
          description: The phone number (URL encoded)
          name: phoneNumber
          in: path
      responses:
        '200':
          description: DNC entry retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  dncEntry:
                    type: object
                    properties:
                      id:
                        type: string
                      organizationId:
                        type: string
                      phoneNumber:
                        type: string
                      callId:
                        type: string
                        nullable: true
                      createdAt:
                        type: string
                        format: date-time
                      updatedAt:
                        type: string
                        format: date-time
                    required:
                      - id
                      - organizationId
                      - phoneNumber
                      - callId
                      - createdAt
                      - updatedAt
                required:
                  - dncEntry
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '404':
          description: DNC entry not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 404
                  message:
                    type: string
                    default: Not found
                  code:
                    type: string
                    enum:
                      - NOT_FOUND
                    default: NOT_FOUND
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````